import{S as ma,i as pa,s as ha,e as n,k as p,w as b,t as i,M as ua,c as a,d as o,m as h,a as s,x,h as l,b as c,N as ga,G as t,g as f,y as w,q as $,o as N,B as y,v as va,L as Cn}from"../../chunks/vendor-hf-doc-builder.js";import{T as fa}from"../../chunks/Tip-hf-doc-builder.js";import{D as _t}from"../../chunks/Docstring-hf-doc-builder.js";import{C as bn}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as Ye}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as _n}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";import{P as _a}from"../../chunks/PipelineTag-hf-doc-builder.js";function Ca(E){let m,C,v,u,_;return u=new bn({props:{code:`from transformers import ConvNeXTV2Config, ConvNextV2Model

# Initializing a ConvNeXTV2 convnextv2-tiny-1k-224 style configuration
configuration = ConvNeXTV2Config()

# Initializing a model (with random weights) from the convnextv2-tiny-1k-224 style configuration
model = ConvNextV2Model(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> ConvNeXTV2Config, ConvNextV2Model

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a ConvNeXTV2 convnextv2-tiny-1k-224 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = ConvNeXTV2Config()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the convnextv2-tiny-1k-224 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ConvNextV2Model(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){m=n("p"),C=i("Example:"),v=p(),b(u.$$.fragment)},l(r){m=a(r,"P",{});var g=s(m);C=l(g,"Example:"),g.forEach(o),v=h(r),x(u.$$.fragment,r)},m(r,g){f(r,m,g),t(m,C),f(r,v,g),w(u,r,g),_=!0},p:Cn,i(r){_||($(u.$$.fragment,r),_=!0)},o(r){N(u.$$.fragment,r),_=!1},d(r){r&&o(m),r&&o(v),y(u,r)}}}function ba(E){let m,C,v,u,_;return{c(){m=n("p"),C=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),v=n("code"),u=i("Module"),_=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(r){m=a(r,"P",{});var g=s(m);C=l(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),v=a(g,"CODE",{});var P=s(v);u=l(P,"Module"),P.forEach(o),_=l(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(o)},m(r,g){f(r,m,g),t(m,C),t(m,v),t(v,u),t(m,_)},d(r){r&&o(m)}}}function xa(E){let m,C,v,u,_;return u=new bn({props:{code:`from transformers import AutoImageProcessor, ConvNextV2Model
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("facebook/convnextv2-tiny-1k-224")
model = ConvNextV2Model.from_pretrained("facebook/convnextv2-tiny-1k-224")

inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state
list(last_hidden_states.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, ConvNextV2Model
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/convnextv2-tiny-1k-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ConvNextV2Model.from_pretrained(<span class="hljs-string">&quot;facebook/convnextv2-tiny-1k-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_states.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">768</span>, <span class="hljs-number">7</span>, <span class="hljs-number">7</span>]`}}),{c(){m=n("p"),C=i("Example:"),v=p(),b(u.$$.fragment)},l(r){m=a(r,"P",{});var g=s(m);C=l(g,"Example:"),g.forEach(o),v=h(r),x(u.$$.fragment,r)},m(r,g){f(r,m,g),t(m,C),f(r,v,g),w(u,r,g),_=!0},p:Cn,i(r){_||($(u.$$.fragment,r),_=!0)},o(r){N(u.$$.fragment,r),_=!1},d(r){r&&o(m),r&&o(v),y(u,r)}}}function wa(E){let m,C,v,u,_;return{c(){m=n("p"),C=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),v=n("code"),u=i("Module"),_=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(r){m=a(r,"P",{});var g=s(m);C=l(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),v=a(g,"CODE",{});var P=s(v);u=l(P,"Module"),P.forEach(o),_=l(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(o)},m(r,g){f(r,m,g),t(m,C),t(m,v),t(v,u),t(m,_)},d(r){r&&o(m)}}}function $a(E){let m,C,v,u,_;return u=new bn({props:{code:`from transformers import AutoImageProcessor, ConvNextV2ForImageClassification
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("facebook/convnextv2-tiny-1k-224")
model = ConvNextV2ForImageClassification.from_pretrained("facebook/convnextv2-tiny-1k-224")

inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

# model predicts one of the 1000 ImageNet classes
predicted_label = logits.argmax(-1).item()
print(model.config.id2label[predicted_label])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, ConvNextV2ForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/convnextv2-tiny-1k-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ConvNextV2ForImageClassification.from_pretrained(<span class="hljs-string">&quot;facebook/convnextv2-tiny-1k-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts one of the 1000 ImageNet classes</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = logits.argmax(-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(model.config.id2label[predicted_label])
tabby, tabby cat`}}),{c(){m=n("p"),C=i("Example:"),v=p(),b(u.$$.fragment)},l(r){m=a(r,"P",{});var g=s(m);C=l(g,"Example:"),g.forEach(o),v=h(r),x(u.$$.fragment,r)},m(r,g){f(r,m,g),t(m,C),f(r,v,g),w(u,r,g),_=!0},p:Cn,i(r){_||($(u.$$.fragment,r),_=!0)},o(r){N(u.$$.fragment,r),_=!1},d(r){r&&o(m),r&&o(v),y(u,r)}}}function Na(E){let m,C,v,u,_,r,g,P,Gt,Ct,F,R,et,ie,Bt,tt,Kt,bt,M,Zt,le,Jt,Qt,Pe,Yt,eo,xt,je,to,wt,Me,ot,oo,$t,Ae,no,Nt,qe,nt,ao,yt,U,xn,Vt,G,so,Fe,ro,io,kt,A,lo,ce,co,fo,de,mo,po,Et,z,B,at,fe,ho,st,uo,Tt,ze,go,It,me,Pt,Xe,q,Se,vo,_o,pe,Co,bo,he,xo,wo,jt,Le,$o,Mt,X,K,rt,ue,No,it,yo,At,V,ge,Vo,S,ko,Oe,Eo,To,ve,Io,Po,jo,L,Mo,De,Ao,qo,We,Fo,zo,Xo,Z,qt,O,J,lt,_e,So,ct,Lo,Ft,j,Ce,Oo,be,Do,xe,Wo,Ho,Ro,T,we,Uo,D,Go,He,Bo,Ko,dt,Zo,Jo,Qo,Q,Yo,Y,zt,W,ee,ft,$e,en,mt,tn,Xt,k,Ne,on,pt,nn,an,ye,sn,Ve,rn,ln,cn,I,ke,dn,H,fn,Re,mn,pn,ht,hn,un,gn,te,vn,oe,St;return r=new Ye({}),ie=new Ye({}),fe=new Ye({}),me=new _a({props:{pipeline:"image-classification"}}),ue=new Ye({}),ge=new _t({props:{name:"class transformers.ConvNextV2Config",anchor:"transformers.ConvNextV2Config",parameters:[{name:"num_channels",val:" = 3"},{name:"patch_size",val:" = 4"},{name:"num_stages",val:" = 4"},{name:"hidden_sizes",val:" = None"},{name:"depths",val:" = None"},{name:"hidden_act",val:" = 'gelu'"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"drop_path_rate",val:" = 0.0"},{name:"image_size",val:" = 224"},{name:"out_features",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ConvNextV2Config.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The number of input channels.`,name:"num_channels"},{anchor:"transformers.ConvNextV2Config.patch_size",description:`<strong>patch_size</strong> (<code>int</code>, optional, defaults to 4) &#x2014;
Patch size to use in the patch embedding layer.`,name:"patch_size"},{anchor:"transformers.ConvNextV2Config.num_stages",description:`<strong>num_stages</strong> (<code>int</code>, optional, defaults to 4) &#x2014;
The number of stages in the model.`,name:"num_stages"},{anchor:"transformers.ConvNextV2Config.hidden_sizes",description:`<strong>hidden_sizes</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[96, 192, 384, 768]</code>) &#x2014;
Dimensionality (hidden size) at each stage.`,name:"hidden_sizes"},{anchor:"transformers.ConvNextV2Config.depths",description:`<strong>depths</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[3, 3, 9, 3]</code>) &#x2014;
Depth (number of blocks) for each stage.`,name:"depths"},{anchor:"transformers.ConvNextV2Config.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in each block. If string, <code>&quot;gelu&quot;</code>, <code>&quot;relu&quot;</code>,
<code>&quot;selu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.ConvNextV2Config.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.ConvNextV2Config.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.ConvNextV2Config.drop_path_rate",description:`<strong>drop_path_rate</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The drop rate for stochastic depth.`,name:"drop_path_rate"},{anchor:"transformers.ConvNextV2Config.out_features",description:`<strong>out_features</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
If used as backbone, list of features to output. Can be any of <code>&quot;stem&quot;</code>, <code>&quot;stage1&quot;</code>, <code>&quot;stage2&quot;</code>, etc.
(depending on how many stages the model has). Will default to the last stage if unset.`,name:"out_features"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/convnextv2/configuration_convnextv2.py#L29"}}),Z=new _n({props:{anchor:"transformers.ConvNextV2Config.example",$$slots:{default:[Ca]},$$scope:{ctx:E}}}),_e=new Ye({}),Ce=new _t({props:{name:"class transformers.ConvNextV2Model",anchor:"transformers.ConvNextV2Model",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.ConvNextV2Model.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/convnextv2#transformers.ConvNextV2Config">ConvNextV2Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/convnextv2/modeling_convnextv2.py#L353"}}),we=new _t({props:{name:"forward",anchor:"transformers.ConvNextV2Model.forward",parameters:[{name:"pixel_values",val:": FloatTensor = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.ConvNextV2Model.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/main/en/model_doc/convnext#transformers.ConvNextImageProcessor">ConvNextImageProcessor</a>. See
<a href="/docs/transformers/main/en/model_doc/layoutlmv3#transformers.LayoutLMv3FeatureExtractor.__call__">ConvNextImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.ConvNextV2Model.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.ConvNextV2Model.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/convnextv2/modeling_convnextv2.py#L367",returnDescription:`
<p>A <code>transformers.modeling_outputs.BaseModelOutputWithPoolingAndNoAttention</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/convnextv2#transformers.ConvNextV2Config"
>ConvNextV2Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state after a pooling operation on the spatial dimensions.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, num_channels, height, width)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.modeling_outputs.BaseModelOutputWithPoolingAndNoAttention</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Q=new fa({props:{$$slots:{default:[ba]},$$scope:{ctx:E}}}),Y=new _n({props:{anchor:"transformers.ConvNextV2Model.forward.example",$$slots:{default:[xa]},$$scope:{ctx:E}}}),$e=new Ye({}),Ne=new _t({props:{name:"class transformers.ConvNextV2ForImageClassification",anchor:"transformers.ConvNextV2ForImageClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.ConvNextV2ForImageClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/convnextv2#transformers.ConvNextV2Config">ConvNextV2Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/convnextv2/modeling_convnextv2.py#L420"}}),ke=new _t({props:{name:"forward",anchor:"transformers.ConvNextV2ForImageClassification.forward",parameters:[{name:"pixel_values",val:": FloatTensor = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.ConvNextV2ForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/main/en/model_doc/convnext#transformers.ConvNextImageProcessor">ConvNextImageProcessor</a>. See
<a href="/docs/transformers/main/en/model_doc/layoutlmv3#transformers.LayoutLMv3FeatureExtractor.__call__">ConvNextImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.ConvNextV2ForImageClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.ConvNextV2ForImageClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.ConvNextV2ForImageClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the image classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/convnextv2/modeling_convnextv2.py#L435",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutputWithNoAttention"
>transformers.modeling_outputs.ImageClassifierOutputWithNoAttention</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/convnextv2#transformers.ConvNextV2Config"
>ConvNextV2Config</a>) and inputs.</p>
<ul>
<li><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</li>
<li><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</li>
<li><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each stage) of shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also
called feature maps) of the model at the output of each stage.</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutputWithNoAttention"
>transformers.modeling_outputs.ImageClassifierOutputWithNoAttention</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),te=new fa({props:{$$slots:{default:[wa]},$$scope:{ctx:E}}}),oe=new _n({props:{anchor:"transformers.ConvNextV2ForImageClassification.forward.example",$$slots:{default:[$a]},$$scope:{ctx:E}}}),{c(){m=n("meta"),C=p(),v=n("h1"),u=n("a"),_=n("span"),b(r.$$.fragment),g=p(),P=n("span"),Gt=i("ConvNeXt V2"),Ct=p(),F=n("h2"),R=n("a"),et=n("span"),b(ie.$$.fragment),Bt=p(),tt=n("span"),Kt=i("Overview"),bt=p(),M=n("p"),Zt=i("The ConvNeXt V2 model was proposed in "),le=n("a"),Jt=i("ConvNeXt V2: Co-designing and Scaling ConvNets with Masked Autoencoders"),Qt=i(` by Sanghyun Woo, Shoubhik Debnath, Ronghang Hu, Xinlei Chen, Zhuang Liu, In So Kweon, Saining Xie.
ConvNeXt V2 is a pure convolutional model (ConvNet), inspired by the design of Vision Transformers, and a successor of `),Pe=n("a"),Yt=i("ConvNeXT"),eo=i("."),xt=p(),je=n("p"),to=i("The abstract from the paper is the following:"),wt=p(),Me=n("p"),ot=n("em"),oo=i("Driven by improved architectures and better representation learning frameworks, the field of visual recognition has enjoyed rapid modernization and performance boost in the early 2020s. For example, modern ConvNets, represented by ConvNeXt, have demonstrated strong performance in various scenarios. While these models were originally designed for supervised learning with ImageNet labels, they can also potentially benefit from self-supervised learning techniques such as masked  autoencoders (MAE). However, we found that simply combining these two approaches leads to subpar performance. In this paper, we propose a fully convolutional masked autoencoder framework and a new Global Response Normalization (GRN) layer that can be added to the ConvNeXt architecture to enhance inter-channel feature competition. This co-design of self-supervised learning techniques and architectural improvement results in a new model family called ConvNeXt V2, which significantly improves the performance of pure ConvNets on various recognition benchmarks, including ImageNet classification, COCO detection, and ADE20K segmentation. We also provide pre-trained ConvNeXt V2 models of various sizes, ranging from an efficient 3.7M-parameter Atto model with 76.7% top-1 accuracy on ImageNet, to a 650M Huge model that achieves a state-of-the-art 88.9% accuracy using only public training data."),$t=p(),Ae=n("p"),no=i("Tips:"),Nt=p(),qe=n("ul"),nt=n("li"),ao=i("See the code examples below each model regarding usage."),yt=p(),U=n("img"),Vt=p(),G=n("small"),so=i("ConvNeXt V2 architecture. Taken from the "),Fe=n("a"),ro=i("original paper"),io=i("."),kt=p(),A=n("p"),lo=i("This model was contributed by "),ce=n("a"),co=i("adirik"),fo=i(". The original code can be found "),de=n("a"),mo=i("here"),po=i("."),Et=p(),z=n("h2"),B=n("a"),at=n("span"),b(fe.$$.fragment),ho=p(),st=n("span"),uo=i("Resources"),Tt=p(),ze=n("p"),go=i("A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with ConvNeXt V2."),It=p(),b(me.$$.fragment),Pt=p(),Xe=n("ul"),q=n("li"),Se=n("a"),vo=i("ConvNextV2ForImageClassification"),_o=i(" is supported by this "),pe=n("a"),Co=i("example script"),bo=i(" and "),he=n("a"),xo=i("notebook"),wo=i("."),jt=p(),Le=n("p"),$o=i("If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),Mt=p(),X=n("h2"),K=n("a"),rt=n("span"),b(ue.$$.fragment),No=p(),it=n("span"),yo=i("ConvNextV2Config"),At=p(),V=n("div"),b(ge.$$.fragment),Vo=p(),S=n("p"),ko=i("This is the configuration class to store the configuration of a "),Oe=n("a"),Eo=i("ConvNextV2Model"),To=i(`. It is used to instantiate an
ConvNeXTV2 model according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the ConvNeXTV2
`),ve=n("a"),Io=i("facebook/convnextv2-tiny-1k-224"),Po=i(" architecture."),jo=p(),L=n("p"),Mo=i("Configuration objects inherit from "),De=n("a"),Ao=i("PretrainedConfig"),qo=i(` and can be used to control the model outputs. Read the
documentation from `),We=n("a"),Fo=i("PretrainedConfig"),zo=i(" for more information."),Xo=p(),b(Z.$$.fragment),qt=p(),O=n("h2"),J=n("a"),lt=n("span"),b(_e.$$.fragment),So=p(),ct=n("span"),Lo=i("ConvNextV2Model"),Ft=p(),j=n("div"),b(Ce.$$.fragment),Oo=p(),be=n("p"),Do=i(`The bare ConvNextV2 model outputting raw features without any specific head on top.
This model is a PyTorch `),xe=n("a"),Wo=i("torch.nn.Module"),Ho=i(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Ro=p(),T=n("div"),b(we.$$.fragment),Uo=p(),D=n("p"),Go=i("The "),He=n("a"),Bo=i("ConvNextV2Model"),Ko=i(" forward method, overrides the "),dt=n("code"),Zo=i("__call__"),Jo=i(" special method."),Qo=p(),b(Q.$$.fragment),Yo=p(),b(Y.$$.fragment),zt=p(),W=n("h2"),ee=n("a"),ft=n("span"),b($e.$$.fragment),en=p(),mt=n("span"),tn=i("ConvNextV2ForImageClassification"),Xt=p(),k=n("div"),b(Ne.$$.fragment),on=p(),pt=n("p"),nn=i(`ConvNextV2 Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),an=p(),ye=n("p"),sn=i("This model is a PyTorch "),Ve=n("a"),rn=i("torch.nn.Module"),ln=i(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),cn=p(),I=n("div"),b(ke.$$.fragment),dn=p(),H=n("p"),fn=i("The "),Re=n("a"),mn=i("ConvNextV2ForImageClassification"),pn=i(" forward method, overrides the "),ht=n("code"),hn=i("__call__"),un=i(" special method."),gn=p(),b(te.$$.fragment),vn=p(),b(oe.$$.fragment),this.h()},l(e){const d=ua('[data-svelte="svelte-1phssyn"]',document.head);m=a(d,"META",{name:!0,content:!0}),d.forEach(o),C=h(e),v=a(e,"H1",{class:!0});var Ee=s(v);u=a(Ee,"A",{id:!0,class:!0,href:!0});var ut=s(u);_=a(ut,"SPAN",{});var gt=s(_);x(r.$$.fragment,gt),gt.forEach(o),ut.forEach(o),g=h(Ee),P=a(Ee,"SPAN",{});var vt=s(P);Gt=l(vt,"ConvNeXt V2"),vt.forEach(o),Ee.forEach(o),Ct=h(e),F=a(e,"H2",{class:!0});var Te=s(F);R=a(Te,"A",{id:!0,class:!0,href:!0});var wn=s(R);et=a(wn,"SPAN",{});var $n=s(et);x(ie.$$.fragment,$n),$n.forEach(o),wn.forEach(o),Bt=h(Te),tt=a(Te,"SPAN",{});var Nn=s(tt);Kt=l(Nn,"Overview"),Nn.forEach(o),Te.forEach(o),bt=h(e),M=a(e,"P",{});var Ue=s(M);Zt=l(Ue,"The ConvNeXt V2 model was proposed in "),le=a(Ue,"A",{href:!0,rel:!0});var yn=s(le);Jt=l(yn,"ConvNeXt V2: Co-designing and Scaling ConvNets with Masked Autoencoders"),yn.forEach(o),Qt=l(Ue,` by Sanghyun Woo, Shoubhik Debnath, Ronghang Hu, Xinlei Chen, Zhuang Liu, In So Kweon, Saining Xie.
ConvNeXt V2 is a pure convolutional model (ConvNet), inspired by the design of Vision Transformers, and a successor of `),Pe=a(Ue,"A",{href:!0});var Vn=s(Pe);Yt=l(Vn,"ConvNeXT"),Vn.forEach(o),eo=l(Ue,"."),Ue.forEach(o),xt=h(e),je=a(e,"P",{});var kn=s(je);to=l(kn,"The abstract from the paper is the following:"),kn.forEach(o),wt=h(e),Me=a(e,"P",{});var En=s(Me);ot=a(En,"EM",{});var Tn=s(ot);oo=l(Tn,"Driven by improved architectures and better representation learning frameworks, the field of visual recognition has enjoyed rapid modernization and performance boost in the early 2020s. For example, modern ConvNets, represented by ConvNeXt, have demonstrated strong performance in various scenarios. While these models were originally designed for supervised learning with ImageNet labels, they can also potentially benefit from self-supervised learning techniques such as masked  autoencoders (MAE). However, we found that simply combining these two approaches leads to subpar performance. In this paper, we propose a fully convolutional masked autoencoder framework and a new Global Response Normalization (GRN) layer that can be added to the ConvNeXt architecture to enhance inter-channel feature competition. This co-design of self-supervised learning techniques and architectural improvement results in a new model family called ConvNeXt V2, which significantly improves the performance of pure ConvNets on various recognition benchmarks, including ImageNet classification, COCO detection, and ADE20K segmentation. We also provide pre-trained ConvNeXt V2 models of various sizes, ranging from an efficient 3.7M-parameter Atto model with 76.7% top-1 accuracy on ImageNet, to a 650M Huge model that achieves a state-of-the-art 88.9% accuracy using only public training data."),Tn.forEach(o),En.forEach(o),$t=h(e),Ae=a(e,"P",{});var In=s(Ae);no=l(In,"Tips:"),In.forEach(o),Nt=h(e),qe=a(e,"UL",{});var Pn=s(qe);nt=a(Pn,"LI",{});var jn=s(nt);ao=l(jn,"See the code examples below each model regarding usage."),jn.forEach(o),Pn.forEach(o),yt=h(e),U=a(e,"IMG",{src:!0,alt:!0,width:!0}),Vt=h(e),G=a(e,"SMALL",{});var Lt=s(G);so=l(Lt,"ConvNeXt V2 architecture. Taken from the "),Fe=a(Lt,"A",{href:!0});var Mn=s(Fe);ro=l(Mn,"original paper"),Mn.forEach(o),io=l(Lt,"."),Lt.forEach(o),kt=h(e),A=a(e,"P",{});var Ge=s(A);lo=l(Ge,"This model was contributed by "),ce=a(Ge,"A",{href:!0,rel:!0});var An=s(ce);co=l(An,"adirik"),An.forEach(o),fo=l(Ge,". The original code can be found "),de=a(Ge,"A",{href:!0,rel:!0});var qn=s(de);mo=l(qn,"here"),qn.forEach(o),po=l(Ge,"."),Ge.forEach(o),Et=h(e),z=a(e,"H2",{class:!0});var Ot=s(z);B=a(Ot,"A",{id:!0,class:!0,href:!0});var Fn=s(B);at=a(Fn,"SPAN",{});var zn=s(at);x(fe.$$.fragment,zn),zn.forEach(o),Fn.forEach(o),ho=h(Ot),st=a(Ot,"SPAN",{});var Xn=s(st);uo=l(Xn,"Resources"),Xn.forEach(o),Ot.forEach(o),Tt=h(e),ze=a(e,"P",{});var Sn=s(ze);go=l(Sn,"A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with ConvNeXt V2."),Sn.forEach(o),It=h(e),x(me.$$.fragment,e),Pt=h(e),Xe=a(e,"UL",{});var Ln=s(Xe);q=a(Ln,"LI",{});var Ie=s(q);Se=a(Ie,"A",{href:!0});var On=s(Se);vo=l(On,"ConvNextV2ForImageClassification"),On.forEach(o),_o=l(Ie," is supported by this "),pe=a(Ie,"A",{href:!0,rel:!0});var Dn=s(pe);Co=l(Dn,"example script"),Dn.forEach(o),bo=l(Ie," and "),he=a(Ie,"A",{href:!0,rel:!0});var Wn=s(he);xo=l(Wn,"notebook"),Wn.forEach(o),wo=l(Ie,"."),Ie.forEach(o),Ln.forEach(o),jt=h(e),Le=a(e,"P",{});var Hn=s(Le);$o=l(Hn,"If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),Hn.forEach(o),Mt=h(e),X=a(e,"H2",{class:!0});var Dt=s(X);K=a(Dt,"A",{id:!0,class:!0,href:!0});var Rn=s(K);rt=a(Rn,"SPAN",{});var Un=s(rt);x(ue.$$.fragment,Un),Un.forEach(o),Rn.forEach(o),No=h(Dt),it=a(Dt,"SPAN",{});var Gn=s(it);yo=l(Gn,"ConvNextV2Config"),Gn.forEach(o),Dt.forEach(o),At=h(e),V=a(e,"DIV",{class:!0});var ne=s(V);x(ge.$$.fragment,ne),Vo=h(ne),S=a(ne,"P",{});var Be=s(S);ko=l(Be,"This is the configuration class to store the configuration of a "),Oe=a(Be,"A",{href:!0});var Bn=s(Oe);Eo=l(Bn,"ConvNextV2Model"),Bn.forEach(o),To=l(Be,`. It is used to instantiate an
ConvNeXTV2 model according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the ConvNeXTV2
`),ve=a(Be,"A",{href:!0,rel:!0});var Kn=s(ve);Io=l(Kn,"facebook/convnextv2-tiny-1k-224"),Kn.forEach(o),Po=l(Be," architecture."),Be.forEach(o),jo=h(ne),L=a(ne,"P",{});var Ke=s(L);Mo=l(Ke,"Configuration objects inherit from "),De=a(Ke,"A",{href:!0});var Zn=s(De);Ao=l(Zn,"PretrainedConfig"),Zn.forEach(o),qo=l(Ke,` and can be used to control the model outputs. Read the
documentation from `),We=a(Ke,"A",{href:!0});var Jn=s(We);Fo=l(Jn,"PretrainedConfig"),Jn.forEach(o),zo=l(Ke," for more information."),Ke.forEach(o),Xo=h(ne),x(Z.$$.fragment,ne),ne.forEach(o),qt=h(e),O=a(e,"H2",{class:!0});var Wt=s(O);J=a(Wt,"A",{id:!0,class:!0,href:!0});var Qn=s(J);lt=a(Qn,"SPAN",{});var Yn=s(lt);x(_e.$$.fragment,Yn),Yn.forEach(o),Qn.forEach(o),So=h(Wt),ct=a(Wt,"SPAN",{});var ea=s(ct);Lo=l(ea,"ConvNextV2Model"),ea.forEach(o),Wt.forEach(o),Ft=h(e),j=a(e,"DIV",{class:!0});var Ze=s(j);x(Ce.$$.fragment,Ze),Oo=h(Ze),be=a(Ze,"P",{});var Ht=s(be);Do=l(Ht,`The bare ConvNextV2 model outputting raw features without any specific head on top.
This model is a PyTorch `),xe=a(Ht,"A",{href:!0,rel:!0});var ta=s(xe);Wo=l(ta,"torch.nn.Module"),ta.forEach(o),Ho=l(Ht,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Ht.forEach(o),Ro=h(Ze),T=a(Ze,"DIV",{class:!0});var ae=s(T);x(we.$$.fragment,ae),Uo=h(ae),D=a(ae,"P",{});var Je=s(D);Go=l(Je,"The "),He=a(Je,"A",{href:!0});var oa=s(He);Bo=l(oa,"ConvNextV2Model"),oa.forEach(o),Ko=l(Je," forward method, overrides the "),dt=a(Je,"CODE",{});var na=s(dt);Zo=l(na,"__call__"),na.forEach(o),Jo=l(Je," special method."),Je.forEach(o),Qo=h(ae),x(Q.$$.fragment,ae),Yo=h(ae),x(Y.$$.fragment,ae),ae.forEach(o),Ze.forEach(o),zt=h(e),W=a(e,"H2",{class:!0});var Rt=s(W);ee=a(Rt,"A",{id:!0,class:!0,href:!0});var aa=s(ee);ft=a(aa,"SPAN",{});var sa=s(ft);x($e.$$.fragment,sa),sa.forEach(o),aa.forEach(o),en=h(Rt),mt=a(Rt,"SPAN",{});var ra=s(mt);tn=l(ra,"ConvNextV2ForImageClassification"),ra.forEach(o),Rt.forEach(o),Xt=h(e),k=a(e,"DIV",{class:!0});var se=s(k);x(Ne.$$.fragment,se),on=h(se),pt=a(se,"P",{});var ia=s(pt);nn=l(ia,`ConvNextV2 Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),ia.forEach(o),an=h(se),ye=a(se,"P",{});var Ut=s(ye);sn=l(Ut,"This model is a PyTorch "),Ve=a(Ut,"A",{href:!0,rel:!0});var la=s(Ve);rn=l(la,"torch.nn.Module"),la.forEach(o),ln=l(Ut,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Ut.forEach(o),cn=h(se),I=a(se,"DIV",{class:!0});var re=s(I);x(ke.$$.fragment,re),dn=h(re),H=a(re,"P",{});var Qe=s(H);fn=l(Qe,"The "),Re=a(Qe,"A",{href:!0});var ca=s(Re);mn=l(ca,"ConvNextV2ForImageClassification"),ca.forEach(o),pn=l(Qe," forward method, overrides the "),ht=a(Qe,"CODE",{});var da=s(ht);hn=l(da,"__call__"),da.forEach(o),un=l(Qe," special method."),Qe.forEach(o),gn=h(re),x(te.$$.fragment,re),vn=h(re),x(oe.$$.fragment,re),re.forEach(o),se.forEach(o),this.h()},h(){c(m,"name","hf:doc:metadata"),c(m,"content",JSON.stringify(ya)),c(u,"id","convnext-v2"),c(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(u,"href","#convnext-v2"),c(v,"class","relative group"),c(R,"id","overview"),c(R,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(R,"href","#overview"),c(F,"class","relative group"),c(le,"href","https://arxiv.org/abs/2301.00808"),c(le,"rel","nofollow"),c(Pe,"href","convnext"),ga(U.src,xn="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/convnextv2_architecture.png")||c(U,"src",xn),c(U,"alt","drawing"),c(U,"width","600"),c(Fe,"href","https://arxiv.org/abs/2301.00808"),c(ce,"href","https://huggingface.co/adirik"),c(ce,"rel","nofollow"),c(de,"href","https://github.com/facebookresearch/ConvNeXt-V2"),c(de,"rel","nofollow"),c(B,"id","resources"),c(B,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(B,"href","#resources"),c(z,"class","relative group"),c(Se,"href","/docs/transformers/main/en/model_doc/convnextv2#transformers.ConvNextV2ForImageClassification"),c(pe,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/image-classification"),c(pe,"rel","nofollow"),c(he,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/image_classification.ipynb"),c(he,"rel","nofollow"),c(K,"id","transformers.ConvNextV2Config"),c(K,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(K,"href","#transformers.ConvNextV2Config"),c(X,"class","relative group"),c(Oe,"href","/docs/transformers/main/en/model_doc/convnextv2#transformers.ConvNextV2Model"),c(ve,"href","https://huggingface.co/facebook/convnextv2-tiny-1k-224"),c(ve,"rel","nofollow"),c(De,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),c(We,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),c(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(J,"id","transformers.ConvNextV2Model"),c(J,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(J,"href","#transformers.ConvNextV2Model"),c(O,"class","relative group"),c(xe,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(xe,"rel","nofollow"),c(He,"href","/docs/transformers/main/en/model_doc/convnextv2#transformers.ConvNextV2Model"),c(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ee,"id","transformers.ConvNextV2ForImageClassification"),c(ee,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ee,"href","#transformers.ConvNextV2ForImageClassification"),c(W,"class","relative group"),c(Ve,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Ve,"rel","nofollow"),c(Re,"href","/docs/transformers/main/en/model_doc/convnextv2#transformers.ConvNextV2ForImageClassification"),c(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,d){t(document.head,m),f(e,C,d),f(e,v,d),t(v,u),t(u,_),w(r,_,null),t(v,g),t(v,P),t(P,Gt),f(e,Ct,d),f(e,F,d),t(F,R),t(R,et),w(ie,et,null),t(F,Bt),t(F,tt),t(tt,Kt),f(e,bt,d),f(e,M,d),t(M,Zt),t(M,le),t(le,Jt),t(M,Qt),t(M,Pe),t(Pe,Yt),t(M,eo),f(e,xt,d),f(e,je,d),t(je,to),f(e,wt,d),f(e,Me,d),t(Me,ot),t(ot,oo),f(e,$t,d),f(e,Ae,d),t(Ae,no),f(e,Nt,d),f(e,qe,d),t(qe,nt),t(nt,ao),f(e,yt,d),f(e,U,d),f(e,Vt,d),f(e,G,d),t(G,so),t(G,Fe),t(Fe,ro),t(G,io),f(e,kt,d),f(e,A,d),t(A,lo),t(A,ce),t(ce,co),t(A,fo),t(A,de),t(de,mo),t(A,po),f(e,Et,d),f(e,z,d),t(z,B),t(B,at),w(fe,at,null),t(z,ho),t(z,st),t(st,uo),f(e,Tt,d),f(e,ze,d),t(ze,go),f(e,It,d),w(me,e,d),f(e,Pt,d),f(e,Xe,d),t(Xe,q),t(q,Se),t(Se,vo),t(q,_o),t(q,pe),t(pe,Co),t(q,bo),t(q,he),t(he,xo),t(q,wo),f(e,jt,d),f(e,Le,d),t(Le,$o),f(e,Mt,d),f(e,X,d),t(X,K),t(K,rt),w(ue,rt,null),t(X,No),t(X,it),t(it,yo),f(e,At,d),f(e,V,d),w(ge,V,null),t(V,Vo),t(V,S),t(S,ko),t(S,Oe),t(Oe,Eo),t(S,To),t(S,ve),t(ve,Io),t(S,Po),t(V,jo),t(V,L),t(L,Mo),t(L,De),t(De,Ao),t(L,qo),t(L,We),t(We,Fo),t(L,zo),t(V,Xo),w(Z,V,null),f(e,qt,d),f(e,O,d),t(O,J),t(J,lt),w(_e,lt,null),t(O,So),t(O,ct),t(ct,Lo),f(e,Ft,d),f(e,j,d),w(Ce,j,null),t(j,Oo),t(j,be),t(be,Do),t(be,xe),t(xe,Wo),t(be,Ho),t(j,Ro),t(j,T),w(we,T,null),t(T,Uo),t(T,D),t(D,Go),t(D,He),t(He,Bo),t(D,Ko),t(D,dt),t(dt,Zo),t(D,Jo),t(T,Qo),w(Q,T,null),t(T,Yo),w(Y,T,null),f(e,zt,d),f(e,W,d),t(W,ee),t(ee,ft),w($e,ft,null),t(W,en),t(W,mt),t(mt,tn),f(e,Xt,d),f(e,k,d),w(Ne,k,null),t(k,on),t(k,pt),t(pt,nn),t(k,an),t(k,ye),t(ye,sn),t(ye,Ve),t(Ve,rn),t(ye,ln),t(k,cn),t(k,I),w(ke,I,null),t(I,dn),t(I,H),t(H,fn),t(H,Re),t(Re,mn),t(H,pn),t(H,ht),t(ht,hn),t(H,un),t(I,gn),w(te,I,null),t(I,vn),w(oe,I,null),St=!0},p(e,[d]){const Ee={};d&2&&(Ee.$$scope={dirty:d,ctx:e}),Z.$set(Ee);const ut={};d&2&&(ut.$$scope={dirty:d,ctx:e}),Q.$set(ut);const gt={};d&2&&(gt.$$scope={dirty:d,ctx:e}),Y.$set(gt);const vt={};d&2&&(vt.$$scope={dirty:d,ctx:e}),te.$set(vt);const Te={};d&2&&(Te.$$scope={dirty:d,ctx:e}),oe.$set(Te)},i(e){St||($(r.$$.fragment,e),$(ie.$$.fragment,e),$(fe.$$.fragment,e),$(me.$$.fragment,e),$(ue.$$.fragment,e),$(ge.$$.fragment,e),$(Z.$$.fragment,e),$(_e.$$.fragment,e),$(Ce.$$.fragment,e),$(we.$$.fragment,e),$(Q.$$.fragment,e),$(Y.$$.fragment,e),$($e.$$.fragment,e),$(Ne.$$.fragment,e),$(ke.$$.fragment,e),$(te.$$.fragment,e),$(oe.$$.fragment,e),St=!0)},o(e){N(r.$$.fragment,e),N(ie.$$.fragment,e),N(fe.$$.fragment,e),N(me.$$.fragment,e),N(ue.$$.fragment,e),N(ge.$$.fragment,e),N(Z.$$.fragment,e),N(_e.$$.fragment,e),N(Ce.$$.fragment,e),N(we.$$.fragment,e),N(Q.$$.fragment,e),N(Y.$$.fragment,e),N($e.$$.fragment,e),N(Ne.$$.fragment,e),N(ke.$$.fragment,e),N(te.$$.fragment,e),N(oe.$$.fragment,e),St=!1},d(e){o(m),e&&o(C),e&&o(v),y(r),e&&o(Ct),e&&o(F),y(ie),e&&o(bt),e&&o(M),e&&o(xt),e&&o(je),e&&o(wt),e&&o(Me),e&&o($t),e&&o(Ae),e&&o(Nt),e&&o(qe),e&&o(yt),e&&o(U),e&&o(Vt),e&&o(G),e&&o(kt),e&&o(A),e&&o(Et),e&&o(z),y(fe),e&&o(Tt),e&&o(ze),e&&o(It),y(me,e),e&&o(Pt),e&&o(Xe),e&&o(jt),e&&o(Le),e&&o(Mt),e&&o(X),y(ue),e&&o(At),e&&o(V),y(ge),y(Z),e&&o(qt),e&&o(O),y(_e),e&&o(Ft),e&&o(j),y(Ce),y(we),y(Q),y(Y),e&&o(zt),e&&o(W),y($e),e&&o(Xt),e&&o(k),y(Ne),y(ke),y(te),y(oe)}}}const ya={local:"convnext-v2",sections:[{local:"overview",title:"Overview"},{local:"resources",title:"Resources"},{local:"transformers.ConvNextV2Config",title:"ConvNextV2Config"},{local:"transformers.ConvNextV2Model",title:"ConvNextV2Model"},{local:"transformers.ConvNextV2ForImageClassification",title:"ConvNextV2ForImageClassification"}],title:"ConvNeXt V2"};function Va(E){return va(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Aa extends ma{constructor(m){super();pa(this,m,Va,Na,ha,{})}}export{Aa as default,ya as metadata};
